update 23.04.2023

This commit is contained in:
Kristofers Solo
2023-04-23 19:34:51 +03:00
parent 741a0d0ad2
commit 49c7b19348
27 changed files with 3333 additions and 160 deletions

View File

@@ -13,14 +13,15 @@ file=$(readlink -f "$1")
dir=${file%/*}
base="${file%.*}"
ext="${file##*.}"
echo "$file"
cd "$dir" || exit 1
textype() {
textarget="$(getcomproot "$file" || echo "$file")"
echo "$textarget"
command="pdflatex"
(head -n5 "$textarget" | grep -qi 'xelatex') && command="xelatex"
command="luatex"
(head -n5 "$textarget" | grep -qi "xelatex") && command="xelatex"
$command --output-directory="${textarget%/*}" "${textarget%.*}"
grep -qi addbibresource "$textarget" &&
biber --input-directory "${textarget%/*}" "${textarget%.*}" &&
@@ -32,12 +33,13 @@ case "$ext" in
# Try to keep these cases in alphabetical order.
[0-9]) preconv "$file" | refer -PS -e | groff -mandoc -T pdf >"$base".pdf ;;
c) cc "$file" -o "$base" && "$base" ;;
cpp) g++ "$file" -o "$base" && "$base" ;;
cpp | cc) g++ "$file" -o "$base" && "$base" ;;
cs) mcs "$file" && mono "$base".exe ;;
go) go run "$file" ;;
h) sudo make install ;;
java) javac -d classes "$file" && java -cp classes "${1%.*}" ;;
m) octave "$file" ;;
*/Makefile) make --file "$file" ;;
md) if [ -x "$(command -v lowdown)" ]; then
lowdown --parse-no-intraemph "$file" -Tms | groff -mpdfmark -ms -kept -T pdf >"$base".pdf
elif [ -x "$(command -v groffdown)" ]; then
@@ -50,7 +52,7 @@ ms) preconv "$file" | refer -PS -e | groff -me -ms -kept -T pdf >"$base".pdf ;;
org) emacs "$file" --batch -u "$USER" -f org-latex-export-to-pdf ;;
py) python "$file" ;;
[rR]md) Rscript -e "rmarkdown::render('$file', quiet=TRUE)" ;;
rs) cargo build ;;
rs) cargo run ;;
sass) sassc -a "$file" "$base".css ;;
scad) openscad -o "$base".stl "$file" ;;
sent) setsid -f sent "$file" 2>/dev/null ;;

23
.local/bin/imv-open Normal file
View File

@@ -0,0 +1,23 @@
#!/bin/sh
FIFO_PATH="$1"
IMAGE="$2"
MAINWINDOW="$(xdotool getactivewindow)"
IMV_PID="$(pgrep nsxiv)"
if [ ! "$IMV_PID" ]; then
nsxiv -aio "$IMAGE" &
IMV_PID=$!
fi
sleep 0.5
xdotool windowactivate "$MAINWINDOW"
while read -r path; do
imv-msg "$IMV_PID" close all
imv-msg "$IMV_PID" open "$path"
done <"$FIFO_PATH"
imv-msg "$IMV_PID" quit
[ -e "$FIFO_PATH" ] && rm -f -- "$FIFO_PATH"

View File

@@ -1,4 +1,9 @@
#!/bin/sh
# This is a wrapper script for lb that allows it to create image previews with
# ueberzug. This works in concert with the lf configuration file and the
# lf-cleaner script.
set -e
cleanup() {
@@ -9,11 +14,11 @@ cleanup() {
if [ -n "$SSH_CLIENT" ] || [ -n "$SSH_TTY" ]; then
lf "$@"
else
[ ! -d "$HOME/.cache/lf" ] && mkdir --parents "$HOME/.cache/lf"
[ ! -d "$HOME/.cache/lf" ] && mkdir -p "$HOME/.cache/lf"
export FIFO_UEBERZUG="$HOME/.cache/lf/ueberzug-$$"
mkfifo "$FIFO_UEBERZUG"
ueberzug layer -s -p json <"$FIFO_UEBERZUG" &
exec 3>"$FIFO_UEBERZUG"
trap cleanup EXIT
trap cleanup HUP INT QUIT TERM PWR EXIT
lf "$@" 3>&-
fi

View File

@@ -14,4 +14,4 @@ killall xcape 2>/dev/null
# Turn off caps lock if on since there is no longer a key for it.
xset -q | grep "Caps Lock:\s*on" && xdotool key Caps_Lock
# Turn on num lock
xset -q | grep "Num Lock:\s*on" && xdotool key Num_Lock
xset -q | grep "Num Lock:\s*off" && xdotool key Num_Lock

View File

@@ -0,0 +1 @@
9b2f00a5-323b-4f7b-89d5-82ada7d245ea

Binary file not shown.

Binary file not shown.

Binary file not shown.

Binary file not shown.